/* Menu */
.top-bar { 
    border-bottom: 1px solid var(--cor-borda);
    position: relative;
    z-index: 2; 
}

.cabecalho {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    height: 8.8rem;
    position: relative;
}

@media (min-width:768px) {
    .cabecalho button { 
        display: none; 
    }
}

.logo { 
    width: 13.2rem; 
    display: inline-block;
}

@media (min-width:768px) {
    .logo { width: 14.4rem; }
}

/* Celular */
.cabecalho button {
    cursor: pointer;
    position: absolute;
    top: 50%;
    right: 0;
    transform: translateY(-50%);
    z-index: 9020;
    background: none;
    border: none;
}

/* Fechado no celular*/
#menu-principal {
    display: flex;
    flex-direction: column;
    width: 30rem;
    height: 100vh;
    position: fixed;
    top: 0; right: 0;
    background-color: var(--cor-primaria-6);
    padding: 8rem 2.4rem;
    transform: translateX(100%); /* escondido fora da tela */
    opacity: 0;
    visibility: hidden;
    z-index: 9010;
    transition: none;              
    pointer-events: none; /* evita clique quando fechado */
}

@media (min-width:375px) {
    #menu-principal {
        width: 36rem;
    }
}

@media (min-width:768px) {
     #menu-principal {
        position: static;
        width: initial;
        height: initial;
        padding: 0;
        opacity: 1;
        transform: none;
        visibility: visible;
        background: transparent;
        transition: none !important; /* nunca anima no desktop */
        pointer-events: auto;
    }
}

/* Aberto no celular */
#menu-principal.active {
    transform: translateX(0);
    visibility: visible;
    opacity: 1;
    pointer-events: auto;
}

#menu-principal ul {
    display: flex;
    flex-direction: column;
    gap: 3.2rem;
}

#menu-principal ul li a:not(.btn){
    color: var(--cor-texto-primario);
    font-size: var(--size-md);
}

@media (min-width:768px) {
    #menu-principal ul {
        flex-direction: row;
        align-items: center;
        gap: 4rem;
    }

    #menu-principal ul li a:not(.btn) { 
        color: var(--cor-texto-secundario);
    }
}

/* Ícone hambúrguer */
.icone-menu {
    color: var(--cor-texto-primario);
    width: 2.4rem;
    border-top: 2px solid;
    display: block;
}

.icone-menu::after,
.icone-menu::before {
    content: "";
    display: block;
    width: 2.4rem;
    height: 2px;
    background-color: currentColor;
    margin-top: 6px;
    transition: all 0.6s ease;
    position: relative;
}

button.active .icone-menu { 
    border-top-color: transparent; 
}

button.active .icone-menu::before { 
    transform: rotate(135deg); 
    color: var(--cor-texto-primario); 
}

button.active .icone-menu::after  { 
    transform: rotate(-135deg); 
    color: var(--cor-texto-primario); top: -8px; 
}

/* Para transição de abrir e fechar menu */
.has-menu-anim #menu-principal { transition:
    transform .3s ease-in-out,
    opacity   .3s ease-in-out,
    visibility 0s linear .3s; 
}

.has-menu-anim #menu-principal.active { transition:
    transform .3s ease-in-out,
    opacity   .3s ease-in-out,
    visibility 0s;            
}

.menu-overlay {
    position: fixed;
    inset: 0;
    background: rgba(38, 38, 38, 0.55);
    opacity: 0;
    visibility: hidden;
    z-index: 9000;
    transition: none;
    pointer-events: none;
}

.menu-overlay.active {
  opacity: 1;
  visibility: visible;
  pointer-events: auto;
}

@media (min-width:768px){
    .menu-overlay { 
        display: none !important; 
    }
}

.has-menu-anim .menu-overlay { 
    transition: opacity .3s ease, visibility 0s linear .3s;
}

.has-menu-anim .menu-overlay.active { 
    transition: opacity .3s ease, visibility 0s;
}

/* Acessibilidade: reduzir movimento se o usuário preferir */
@media (prefers-reduced-motion: reduce) {
    .has-menu-anim #menu-principal,
    .has-menu-anim .menu-overlay,
    .icone-menu::before,
    .icone-menu::after { transition: none !important; }
}
/* FIM Menu */

/* Banner */
.banner {
    text-align: center;
}

.banner > div {
    margin-bottom: 4rem;
}

@media (min-width:768px) {
    .banner {
        padding-top: 9.6rem;
        padding-bottom: 12rem;
    }

    .banner > div {
        padding: 0 3.2rem;
    }
}

@media (min-width: 1024px) {
    .banner > div {
        padding: 0 10rem;
    }

    .sobre > div {
        padding: 0 8rem; /*Página Quem somos*/
    }
}

@media (min-width: 1280px) {
    .banner > div {
        padding: 0 16rem;
    }
}

.banner > div > span {
    display: grid;
    gap: 1.6rem;
    margin-bottom: 3.2rem;
}

.banner h1 {
    color: var(--cor-primaria-3);
}

.banner h1 > span {
    background: linear-gradient(90deg, #1E3A8A 0%, #198D92 50%, #13DD9A 100%);
    -webkit-background-clip: text; /* necessário no Chrome/Safari */
    -webkit-text-fill-color: transparent;
    background-clip: text;         /* suporte padrão */
    color: transparent;            /* fallback */
}

.banner .banner-subtitle {
    font-size: var(--size-md);
}

.banner .banner-cta {
    display: grid;
    grid-template-areas: 
    "btn"
    "icone";
    gap: 2.4rem;
    place-items: center;
}

.banner-cta .icon-circ {
    grid-area: icone;
}

.icon-circ .btn {
    grid-area: btn;
}

@media (min-width:375px) {
    .banner .banner-cta {
        grid-template-areas: 
        "icone btn";
        gap: 1.6rem;
        justify-content: center;
        align-items: center;
    }
}
/* FIM Banner */


/* Soluções Home */
.solucoes > header {
    margin-bottom: 5.6rem;
    grid-template-columns: 1fr;
}

@media (min-width:1024px) {
    .solucoes > header {
        align-items: center;
        grid-template-columns: minmax(355px, 1fr) 2fr;
        margin-bottom: 8rem;
    }
}

.solucoes > header h2 {
    font-size: var(--size-2xl);
    color: var(--cor-primaria-3);
    line-height: var(--lh-others);
}

.solucoes > header p {
    color: var(--cor-texto-secundario);
    font-size: var(--size-md);
}

.solucoes .cards {
    margin-bottom: 7.2rem;
    gap: 5.6rem;
}

@media (min-width: 768px) {
    .solucoes .cards {
        gap: 4rem;
    }
}

@media (min-width: 1024px) {
    .solucoes .cards {
        gap: 2rem;
    }
}

.solucoes .cards span {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 22rem;
    border-radius: var(--radius-lg);
    background-color: var(--cor-primaria-5);
    margin-bottom: 2.4rem;
}

.solucoes .cards h3 {
    font-size: var(--size-lg);
    text-align: center;
    margin-bottom: 0.8rem;
}

.solucoes .cards p {
    color: var(--cor-texto-secundario);
    font-size: var(--size-sm);
    text-align: center;
}

.solucoes-cta {
    text-align: center;
}
/* FIM Soluções Home */

/* Processo Home */
@media (min-width: 768px) {
    .processo {
        border-top: 1px solid var(--cor-borda); 
        border-bottom: 1px solid var(--cor-borda);     
    }
}

.processo > header {
    text-align: center;
    margin-bottom: 5.6rem;
}

@media (min-width: 1024px) {
    .processo > header {
        padding: 0 5.6rem;
    }
}

.processo > header h2 {
    color: var(--cor-primaria-3);
    margin-bottom: 2.4rem;
    font-size: var(--size-4xl);
}

.processo > header p {
    color: var(--cor-texto-secundario);
    font-size: var(--size-md);
}

.tabs {
    display: flex;
    padding: 2px;
    border-radius: var(--radius-xl);
    background-color: var(--cor-primaria-5);
    box-shadow: 0 4px 2px rgba(239, 246, 255, 0.85);
    width: 100%;
    max-width: 81rem;
    margin: 0 auto;
    margin-bottom: 5.6rem;
}

.tabs button > span {
    display: inline;
}

.tabs button > span:last-of-type {
    display: none;
}

.processo > .grid {
    gap: 4rem;
}

@media (min-width: 768px) {
    .processo > .grid {
        gap: 4rem;
        grid-template-columns: 1fr;
    }

    .tabs button > span {
        display: none;
    }

    .tabs button > span:last-of-type {
        display: inline;
    }

}

@media (min-width: 1024px) {
    .processo > .grid {
        gap: 2rem;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width: 768px) {
    .etapa {
        padding-right: 2.4rem;
    }
}

.etapa h3 {
    font-size: var(--size-xl);
    margin-bottom: 2.4rem;
    color: var(--cor-primaria-3);
}

.etapa p {
    color: var(--cor-texto-secundario);
    margin-bottom: 3.2rem;
}

.etapa ul li {
    color: var(--cor-texto-secundario);
    margin-bottom: 1.6rem;
    display: flex;
    align-items: center;
    gap: 1.2rem;
}

.etapa ul li > div {
    width: 2rem;
    height: 2rem;
    flex: 0 0 auto;
}

.etapa ul li > div .lucide {
    width: var(--icon-2xl);
    color: var(--cor-fundo-azul);
    stroke-width: 2.5px;
}

@media (min-width:1024px) {
    .imagem-etapa {
        padding: 0 3.2rem;
    }
}

.etapa-ilustracao {
    display: grid;
    align-items: end;
    justify-content: center;
    width: 100%;
    border-radius: var(--radius-lg);
    background-color: var(--cor-primaria-6);
}

.etapa-ilustracao img {
    width: 100%;
}
/* FIM Processo Home */

/* Setores Home */
.setores > header {
    grid-template-columns: 1fr;
    align-items: center;
    margin-bottom: 5.6rem;
}

@media (min-width: 768px) {
    .setores {
        position: relative;
    }

    .setores > header {
        grid-template-columns: 3fr 1fr;
    }
}

.setores > header h2 {
    color: var(--cor-primaria-3);
    font-size: var(--size-3xl);
    margin-bottom: 2.4rem;
}

.setores > header p {
    color: var(--cor-texto-secundario);
    font-size: var(--size-md);
}

.setores > header .btn {
    margin: 0 auto;
}

.setores-lista {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    row-gap: 3.2rem;
    column-gap: 3.2rem;
}

@media (min-width:1024px) {
    .setores-lista {
        justify-content: space-between;
    }
}

.setores-lista li {     
    flex: 0 1 8rem;        
    display: grid;
    justify-items: center;
    text-align: center;
    font-size: var(--size-sm);
    color: var(--cor-texto-secundario);
    gap: 0.8rem;
}

.setor {
    display: grid;
    place-items: center;
    width: 56px;
    height: 56px;
    border-radius: .8rem;
    box-shadow: 0 4px 4px 0 var(--cor-primaria-5); /* X Y blur spread cor */
}

.setor .lucide {
    width: 2.8rem;
    color: var(--cor-icone);
}
/* FIM Setores Home */

/* Rodape */
.footer-link {
    gap: 5.6rem;
}

@media (min-width: 768px) {
    .footer-link {
        gap: 4rem;
        grid-template-columns: 1fr;
    }
}

@media (min-width: 1024px) {
    .footer-link {
        gap: 2rem;
        grid-template-columns: repeat(2, 1fr);
    }
}

.footer-link > section p {
    margin-top: 1.6rem;
    color: var(--cor-texto-secundario);
    font-size: var(--size-base);
}

.footer-link > div {
    gap: 4rem;
}

.footer-link h4 {
    color: var(--cor-primaria-3);
    font-size: var(--size-base);
    margin-bottom: 1.6rem;
}

.footer-link li {
    margin-bottom: 2.4rem;
}

.footer-link li:last-of-type {
    margin-bottom: 0;
}

.footer-link nav a {
    color: var(--cor-texto-secundario);
    font-size: var(--size-sm);
}

.social {
    display: flex;
    gap: 2.4rem;
}

.footer-meta > div {
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
    justify-content: space-between;
    border-top: 1px solid var(--cor-borda);
    padding: 3.2rem 0;
}

@media (min-width: 1024px) {
    .footer-meta > div {
        flex-direction: row;
        gap: inherit;
    }
}

.footer-meta p {
    font-size: var(--size-sm);
    color: var(--cor-texto-secundario);
    text-align: center;
}

.footer-meta .atalho {
    display: flex;
    flex-direction: column;
    gap: 2.4rem;
    place-self: center;
}

@media (min-width: 768px) {
    .footer-meta .atalho {
        flex-direction: row;
        place-items: inherit;
        align-items: center;
    }
}

.footer-meta .atalho p > a {
    color: var(--cor-texto-secundario);
    text-decoration: underline;
    font-size: var(--size-sm);
}

.footer-meta .atalho > span {
    display: none;
}

@media (min-width: 768px) {
    .footer-meta .atalho > span {
        display: inherit;
    }   
}

.footer-meta .voltar {
    color: var(--cor-primaria-3);
    display: flex;
    align-items: center;
    gap: 1.2rem;
    text-decoration: underline;
    margin: 0 auto;
}

.voltar .lucide {
  display: inline-block;
  animation: subirDescer 1.5s ease-in-out infinite;
}

/* Animação seta*/
@keyframes subirDescer {
  0% {
    transform: translateY(0);
  }
  50% {
    transform: translateY(-4px);
  }
  100% {
    transform: translateY(0);
  }
}
/* FIM Animação seta */

/* FIM Rodape */



/* Página Quem somos */

/* Sobre */

@media (min-width:1024px){
    .sobre {
        height: 52rem;
    }
}

.sobre h1 {
    font-size: var(--size-5xl); 
}

.sobre > ul {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 1.6rem;
}

@media (min-width:768px) {
    .sobre > ul {
        flex-direction: row;
        gap: 3.2rem;
    }
}

.sobre > ul li {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 1.2rem;
}
/* FIM Sobre */

/* Tecnologias */
.tecnologias > header {
    gap: 2.4rem;
    margin-bottom: 5.6rem;
    grid-template-columns: 1fr;
}

@media (min-width:768px) {
    .tecnologias > header {
        max-width: 87rem;
    }

    .tecnologias {
        border-bottom: 1px solid var(--cor-borda);
    }
}

.tecnologias > header h2 {
    font-size: var(--size-3xl);
    color: var(--cor-primaria-3);
}

.tecnologias > header p {
    font-size: var(--size-md);
    color: var(--cor-texto-secundario);
    font-weight: 400;
}

.tecnologias > ul {
    gap: 5.6rem;
}

@media (min-width:768px) {
    .tecnologias > ul {
        gap: 4rem;
    }
}

@media (min-width: 1024px) {
    .tecnologias > ul {
        gap: 2rem;
    }
}
/* FIM Tecnologias */

/* Diferenciais */
@media (min-width:768px) {
    .diferenciais {
        position: relative;
    }
}

.diferenciais > header {
    text-align: center;
    margin-bottom: 5.6rem;
}

@media (min-width:1024px) {
    .diferenciais > header {
        padding: 0 5.6rem;
    }
}

.diferenciais > header h2 {
    color: var(--cor-primaria-3);
    margin-bottom: 2.4rem;
    font-size: var(--size-4xl);
}

.diferenciais > header p {
    color: var(--cor-texto-secundario);
    font-size: var(--size-md);
}

.diferenciais > ul {
    margin-bottom: 7.2rem;
    gap: 5.6rem;
}

@media (min-width: 1024px) {
    .diferenciais > ul {
        gap: 2rem;
        grid-template-columns: repeat(3, 1fr);
    }
}

.diferenciais > ul li {
    display: grid;
    place-items: center;
    gap: 2rem;
}

.diferenciais > ul li span {
    display: grid;
    place-items: center;
    width: 96px;
    height: 64px;
    border-radius: .8rem;
    box-shadow: 0 4px 4px 0 var(--cor-primaria-5); /* X Y blur spread cor */
}

.diferenciais > ul li span .lucide {
    width: 3.2rem;
    height: 3.2rem;
    color: var(--cor-icone);
    stroke-width: 1px;
}

.diferenciais > ul li p {
    font-size: var(--size-md);
    color: var(--cor-texto-secundario);
}
/* FIM Diferenciais */

/* FIM Página Quem somos */


/* Página soluções */

/* Resumo Serviços */
.servicos {
    text-align: left;
    gap: 5.6rem;
}

@media (min-width:1024px) {
    .servicos {
        gap: 2rem;
        grid-template-columns: 2fr minmax(458px, 1fr);
        align-items: center;
        height: 52rem;
    }
}

.servicos .badge {
    margin: 0;
}

.servicos > div {
    padding: 0;
    margin-bottom: 0;
}

.servicos h1 {
    font-size: var(--size-5xl);
}

.servicos figure {
    padding: 0 3.2rem;
    margin: 0;
}

.servicos figure img {
    display: block;
    max-width: 100%;
    height: 260px;
    object-fit: contain;
    margin: 0 auto;
}
/* FIM Resumo Serviços */

/* Destaque serviços */
@media (min-width:768px) {
    .destaque-servicos {
        border-bottom: 1px solid var(--cor-borda);
    }

    .destaque-servicos > header {
        align-items: center;
        grid-template-columns: repeat(2, 1fr);
    }
}

@media (min-width:1024px) {
    .destaque-servicos > header {
        grid-template-columns: 1fr 2fr;
    }
}

.destaque-servicos > header > h2 {
    font-size: var(--size-2xl);
    color: var(--cor-primaria-3);
    line-height: var(--lh-others);
}

.destaque-servicos > header p {
    color: var(--cor-texto-secundario);
    font-size: var(--size-md);
}

@media (min-width:1024px) {
    .destaque-servicos > header p {
        padding: 0 3.2rem;
    } 
}
/* FIM Destaque serviços */

/* Cards soluções */
@media (min-width: 768px) {
    .cards-servicos {
        border-bottom: 1px solid var(--cor-borda);
    }
}

.cards-servicos > header {
    text-align: center;
    margin-bottom: 5.6rem;
}

.cards-servicos > header h2 {
    color: var(--cor-primaria-3);
    margin-bottom: 2.4rem;
    font-size: var(--size-4xl);
}

.cards-servicos > header p {
    color: var(--cor-texto-secundario);
    font-size: var(--size-md);
}

.cards-servicos > ul {
    gap: 5.6rem;
}

@media (min-width: 768px) {
    .cards-servicos > ul {
        gap: 4rem;
        grid-template-columns: 1fr;
    } 
}

@media (min-width: 1024px) {
    .cards-servicos > ul {
        gap: 2rem;
        grid-template-columns: repeat(3, 1fr);
    }
}
/* FIM Cards soluções */


/* Formulário de contato */

/* Textos Form */
.formulario {
    position: relative;
}

.formulario > .grid {
    gap: 5.6rem;
}

@media (min-width: 1024px) {
    .formulario > .grid {
        grid-template-columns: repeat(2, 1fr);
        gap: 7.2rem;
    }
}

.formulario header h2{
    color: var(--cor-primaria-3);
    margin-bottom: 2.4rem;
    font-size: var(--size-3xl);
}

.formulario header p{
    color: var(--cor-texto-secundario);
    font-size: var(--size-md);
    margin-bottom: 4rem;
}

.formulario header ul {
    display: flex;
    gap: 1.6rem;
}
/* FIM Textos Form */

/* Campos Form*/
form {
    display: grid; 
    gap: 1.6rem;
}

form .form-group { 
    display: grid; 
    gap: .8rem; 
}

form .form-control {
    width: 100%;
    height: 4.8rem;
    border-radius: var(--radius-lg);  
    border: 1px solid var(--cor-borda);    
    background: transparent;
    font-size: var(--size-base);
    color: var(--cor-texto-secundario);
    padding-left: 1.6rem;
    padding-right: 1.6rem;
    padding: 1.2rem 1.6rem;
    box-shadow: inset 0 1px 0 rgba(0,0,0,.02); /* leve profundidade */
    transition: border-color .15s ease, box-shadow .15s ease, background-color .15s ease;
}

form .form-control::placeholder {
  color: var(--cor-texto-inativo);      
  opacity: 1;
}

form .form-control:focus {
    outline: none; /* remove o anel azul padrão */
    border-color: var(--cor-borda-ativa);
    box-shadow: 0 0 0 3px rgba(35, 68, 162, .12), inset 0 1.5px 0 rgba(0,0,0,.06);
}

form .form-control:focus::placeholder {
    color: var(--cor-texto-secundario);
}

.form-control:not(:placeholder-shown) {
  border-color: var(--cor-borda-ativa) /* Após campo preenchido */
}

form textarea.form-control {
    min-height: 12rem; resize: vertical;
}

form button {
    margin-top: 1.6rem;
    justify-self: end;
}
/* FIM Campos Form*/

/* FIM Página soluções */

.whatsapp-atalho {
    position: fixed;
    bottom: 5.6rem;
    right: 3.2rem;
    width: 5.6rem;
    height: 5.6rem;
    border-radius: 50%;
    background-color: var(--cor-marca-secundaria);
    display: grid;
    place-items: center;
    box-shadow: 0 4px 4px rgba(0,0,0,.25);
    z-index: 10000;
    transition: background-color .2s ease, color .2s ease, box-shadow .2s ease, transform .2s ease;
}

.whatsapp-atalho img {
    width: 2.4rem;
    height: 2.4rem;
}

.whatsapp-atalho:hover {
    background-color: var(--cor-secundaria-4);
    box-shadow: 0 6px 6px rgba(0,0,0,.35);
    transform: translateY(-2px);
}

    
